igmp_group Struct Reference

`#include <igmp.h>`

## Data Fields

struct igmp_group * | next
ip4_addr_t | group_address
u8_t | last_reporter_flag
u8_t | group_state
u16_t | timer
u8_t | use

## Detailed Description

igmp group structure - there is a list of groups for each interface these should really be linked from the interface, but if we keep them separate we will not affect the lwip original code too much

There will be a group for the all systems group address but this will not run the state machine as it is used to kick off reports from all the other groups

## Field Documentation

## group_address

ip4_addr_t igmp_group::group_address

multicast address

## group_state

u8_t igmp_group::group_state

current state of the group

## last_reporter_flag

u8_t igmp_group::last_reporter_flag

signifies we were the last person to report

## next

struct igmp_group* igmp_group::next

next link

## timer

u16_t igmp_group::timer

timer for reporting, negative is OFF

## use

u8_t igmp_group::use

counter of simultaneous uses

The documentation for this struct was generated from the following file:

- src/include/lwip/igmp.h